DotsDocs
Payout agents

Remove an Approved Recipient

Remove an approval by its approval ID or, for an existing user approval, the external user ID. Already accepted payouts and payout links retain their recipient authorization.

DELETE
/v2/payout-agents/{payout_agent_id}/approved-recipients/{user_id}

Remove an approval by its approval ID or, for an existing user approval, the external user ID. Already accepted payouts and payout links retain their recipient authorization.

AuthorizationBasic <token>

In: header

Path Parameters

payout_agent_id*string

ID of the payout agent.

Formatuuid
user_id*string

Approval ID returned as id when creating or listing approvals. Existing external user IDs are also accepted for user-based approvals.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/approved-recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",  "object": "payout_agent_approved_recipient",  "deleted": true}